QGis 3.4 reproducible crash while in idle state

2018-11-21 04:12 PM - Juan Manuel Perez

Status: Closed

Priority: High

Assignee: Julien Cabieces

Category: Processing/Core

Affected QGIS version:3.5(master) Regression?: No

Operating System: Windows 7 64 bits Easy fix?: No

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 28401

Description

It seems some operations may lead to a delayed crash in QGis.

I've attached a sample plugin to reproduce this delayed crash (tested with QGis 3.4.1 64 bits for Windows):

    -  Open QGis 3.4. No need to open any project nor file.

    -  Install attached plugin into QGis 3.4

    -  Open Processing ToolBox. There you will find a new 'Alg Crash Group', expand it, then double-click on 'Alg Crash' within this group.

The Dialog for launching 'Alg Crash' will open.

    -  On the dialog for 'Alg Crash' algorithm:

        -  you will find a 'Kind of crash' pulldown. Select the second option '60 seconds after file write combined with sinkParameter

populated from shapefile'

        -  you may leave 'Output layer' untouched.

        -  Press 'Run'

    -  The Log tab will gain focus, and there you will see a message in red stating "Wait for exactly 60 seconds, then you will see Qgis

crashing" 

    -  Wait 60 seconds, and QGis will crash

Associated revisions

Revision e948120b - 2019-02-07 06:58 AM - Julien Cabieces

Correct crash when read from ogr file in thread (QgsProcessing for instance)

fixes #20581

Revision 9ea7f1ef - 2019-02-08 12:30 AM - Julien Cabieces

Correct crash when read from ogr file in thread (QgsProcessing for instance)

fixes #20581

(cherry picked from commit e948120b7bf42b26eed432c2e2e0b43272c3b8fe)

History

#1 - 2018-11-21 04:14 PM - Juan Manuel Perez

Just a correction:  '60 seconds after file write combined with sinkParameter populated from shapefile' is the first, not the second, option in the pulldown.

#2 - 2018-11-21 05:51 PM - Giovanni Manghi
- Status changed from Open to Feedback

Try on qgis master.

#3 - 2018-11-22 10:14 AM - Juan Manuel Perez

- File alg_crash(ready for install from zip).zip added

- Status changed from Feedback to Open

Just tried on QGIS Desktop 3.5.0 with GRASS 7.4.2 (Nightly).

The crash persists there.

Just uploaded new zip version, ready for use with 'Install from zip' (previous version required you to copy the zip contents manually into plugins directory)

#4 - 2018-11-23 11:18 PM - Nyall Dawson

- Status changed from Open to Feedback

Can you test with 3.4.2 please?

#5 - 2018-11-26 08:43 AM - Juan Manuel Perez

Ok! I didn't quite see the point of this test, knowing that "3.5.0 with GRASS 7.4.2 (Nightly)" crashed too, but I've just downloaded 3.4.2, installed, and tested

the crash, and effectively it crashes.

So far, the versions tested showing this reproducible crash are:

- 3.4.1

- 3.4.2

- 3.5.0 (nightly)

#6 - 2018-11-26 08:52 AM - Giovanni Manghi

- Status changed from Feedback to Open

- Affected QGIS version changed from 3.4.1 to 3.5(master)

#7 - 2019-01-24 04:16 PM - Julien Cabieces

- Assignee set to Julien Cabieces

#8 - 2019-01-28 02:33 PM - Julien Cabieces

- Pull Request or Patch supplied changed from No to Yes

Proposed PR https://github.com/qgis/QGIS/pull/8988 for both problems

#9 - 2019-01-29 03:07 PM - Julien Cabieces

Two PR for each issue:

- https://github.com/qgis/QGIS/pull/8988 for vector layer read

- https://github.com/qgis/QGIS/pull/9019 for python print
#10 - 2019-02-07 06:57 AM - Julien Cabieces

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|e948120b7bf42b26eed432c2e2e0b43272c3b8fe.

Files

alg_crash.zip 4.48 KB 2018-11-21 Juan Manuel Perez

alg_crash(ready for install from zip).zip 5.06 KB 2018-11-22 Juan Manuel Perez
